Subject: Re: AMAL + plotting
From: "Andrew Church" <[email-masked]>
To: "amos-list" <[email-masked]>
Date: 7 Sep 93 14:20:00 EST

>> And if you're going to compile your prog anyway, amal isn't any faster than
>> Amos for Bobs and Sprites.
>
>How did you get that idea? Just try to understand AMAL further and see
>what sheer power it offers! Sure, it hasn't many control structures
>but everything is interrupt driven and you can synchronize its actions
>with your main program by using AMAL channels!

  It depends how good the compiler is.  If it's good enough (which we can
hope), then AMAL and standard AMOS instructions will run at the same speed.
AMAL does have the advantage of being interrupt driven, but it's a lot easier
to write code in AMOS than in AMAL.  It also depends on the complexity of the
program; a (relatively) simple program probably would not need AMAL.

  --Andy Church